Page MenuHome

Mantaflow not using subframes for particle emitters in Gas sim
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.18362 64 Bits
Graphics card: GeForce GTX 1070 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 431.36

Blender Version
Broken: version: 2.81 (sub 3), branch: fluid-mantaflow (modified), commit date: 2019-08-27 23:26, hash: rB552149d8f537
Worked: (optional)

Short description of error
[Mantaflow not using subframes for particle emitters in Gas sim, title says it all really]

Exact steps for others to reproduce the error
[create a couple of particle systems, add fluid inflow in physics tab, use 0 subframes for one and 50 for the other, then bake.
Here's what I get-


]
[Based on the default startup or an attached .blend file (as simple as possible)]

Event Timeline

Bastien Montagne (mont29) lowered the priority of this task from 90 to 80.
Bastien Montagne (mont29) edited projects, added Physics; removed BF Blender.

Good catch, I was able to reproduce the issue. It seems there was an issue with the dependency graph. I made the particle emitter use the same setup as the mesh emitter and now I am able to generate decent smoke trails.

The trails in the "with subframes" example seem to produce a "staircase" effect. Will investigate this further.

Mark Spink (marks) added a comment.EditedOct 4 2019, 5:14 AM

Hello & thanks! (Sebbas) Downloaded the latest build last night from blender.org, much better!

You can still see 'blobs' in the smoke trail, so my next question is: can the maximum subframes setting be increased above 50 (say up to 200?!), where it seems to be fixed at as maximum as it stands?
Or am I missing another sub-sampling setting not in the emitter object's mantaflow properties?

In fact I just tried scaling an icosphere to visually match the particle size, then keyframing it to match the motion, and here's the result-


The icosphere is at the top, and I set it's surface thickness to 0.5 to match-ish the size of the particle emitted smoke.
Still a big difference between a mesh and a particle.
Also I tried to use the mesh as a dupli object on the particle system, and it did not emit smoke- the original icosphere did if I moved it into the domain, but nothing from the dupli object bolted onto the particle - should this work? Emitting smoke from a dupli object that is (as a useable workaround for particle subframes for example).

Cheers & Thanks again!
Mark

The comparison of the mesh / particle looks very interesting. Can you send me that file?

Emitting smoke from a dupli object does not work as of now. It'd definitely be a nice feature though, let me think about that. It sounds plausible to me, but then again it'd be highly related to the "old" particle system code ...

Mark Spink (marks) added a comment.EditedOct 11 2019, 6:48 PM

There you go-

Like I said- it's all 'eye-balled' size-wise to get the mesh to look roughly the same as the particle smoke-wise. And whatever you do with the 'old' particles will probably be massively disappointing in 2.8x, if you're experience is anything like mine!
Put it this way: I can't even get 2.8 to successfully use it's own particle cache! (https://developer.blender.org/T70135), Which it looks like not much is happening about, as in I reported the bug 21 odd days ago and nothing much has happened to it...
I assume anything particle related is being ignored as the system is end-of-life from what I can glean.

As an aside- I thought the new build of Mantaflow (27 Sept) had fixed the occasional 'twitch' in the smoke once noise is added, if using adaptive domain, but I managed to get in again- do you want me to report this as a bug?

Cheers again!
Mark

Aaron Carlisle (Blendify) changed the task status from Needs Information from Developers to Needs Information from User.Feb 17 2020, 8:23 PM

Is this still an issue with blender 2.82?

Looks OK in 2.82 to me-

Particle emitter in foreground, mesh in background, both with 200 subframes set in emitter settings.

Aaron Carlisle (Blendify) closed this task as Resolved.Feb 18 2020, 1:33 AM

I'm still having issues. The smoke works fine by itself. But when I add fire I get this effect. The top one has sub-frames set to 200 while the bottom is default. It seems it's having an effect but I don't believe it's the desired effect.

Mark Spink (marks) added a comment.EditedFeb 18 2020, 11:45 PM

@SlyNine (SlyNine) Agreed that looks nasty.

But I think we've missed the boat in this bug...